# AlpsKnowledgeBrokerSerial Class Reference

`#include <AlpsKnowledgeBrokerSerial.h>`

Inheritance diagram for AlpsKnowledgeBrokerSerial:
[legend]
Collaboration diagram for AlpsKnowledgeBrokerSerial:
[legend]

List of all members.

## Public Member Functions
| AlpsKnowledgeBrokerSerial ()
| Default constructor.
| AlpsKnowledgeBrokerSerial (AlpsModel &model)
| Useful constructor.
| AlpsKnowledgeBrokerSerial (int argc, char *argv[], AlpsModel &model)
| Userful constructor.
virtual | ~AlpsKnowledgeBrokerSerial ()
| Destructor.
virtual void | initializeSearch (int argc, char *argv[], AlpsModel &model)
| Reading in Alps and user parameter sets, and read in model data.
virtual void | rootSearch (AlpsTreeNode *root)
| Search for best solution.
Report the search results.
virtual void | searchLog ()
| Search log.
virtual double | getIncumbentValue () const
| The process queries the quality of the incumbent that it stores.
virtual double | getBestQuality () const
| The process queries the quality of the best solution that it finds.
virtual void | printBestSolution (char *outputFile=0) const
| The process outputs the best solution and the quality that it finds to a file or std::out.
## Private Member Functions
| AlpsKnowledgeBrokerSerial (const AlpsKnowledgeBrokerSerial &)
AlpsKnowledgeBrokerSerial & | operator= (const AlpsKnowledgeBrokerSerial &)

## Detailed Description

Definition at line 35 of file AlpsKnowledgeBrokerSerial.h.

## Constructor & Destructor Documentation

AlpsKnowledgeBrokerSerial::AlpsKnowledgeBrokerSerial | ( | const AlpsKnowledgeBrokerSerial & |  | ) | `[private]`

AlpsKnowledgeBrokerSerial::AlpsKnowledgeBrokerSerial | ( |  | ) | `[inline]`

Default constructor.

Definition at line 42 of file AlpsKnowledgeBrokerSerial.h.

AlpsKnowledgeBrokerSerial::AlpsKnowledgeBrokerSerial | ( | AlpsModel & | model | ) | `[inline]`

Useful constructor.

Note need read in parameters and data seperately.

Definition at line 49 of file AlpsKnowledgeBrokerSerial.h.

AlpsKnowledgeBrokerSerial::AlpsKnowledgeBrokerSerial | ( | int | argc,
|  | char * | argv[],
|  | AlpsModel & | model |
| ) |  |  | `[inline]`

Userful constructor.

Read in parameters from arguments. Also read in data.

Definition at line 58 of file AlpsKnowledgeBrokerSerial.h.

virtual AlpsKnowledgeBrokerSerial::~AlpsKnowledgeBrokerSerial | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 69 of file AlpsKnowledgeBrokerSerial.h.

## Member Function Documentation

AlpsKnowledgeBrokerSerial& AlpsKnowledgeBrokerSerial::operator= | ( | const AlpsKnowledgeBrokerSerial & |  | ) | `[private]`

Reimplemented from AlpsKnowledgeBroker.

virtual void AlpsKnowledgeBrokerSerial::searchLog | ( |  | ) | `[virtual]`

Search log.

Implements AlpsKnowledgeBroker.

virtual double AlpsKnowledgeBrokerSerial::getIncumbentValue | ( |  | ) | const`[inline, virtual]`

The process queries the quality of the incumbent that it stores.

Implements AlpsKnowledgeBroker.

Definition at line 81 of file AlpsKnowledgeBrokerSerial.h.

virtual double AlpsKnowledgeBrokerSerial::getBestQuality | ( |  | ) | const`[inline, virtual]`

The process queries the quality of the best solution that it finds.

Implements AlpsKnowledgeBroker.

Definition at line 87 of file AlpsKnowledgeBrokerSerial.h.

virtual void AlpsKnowledgeBrokerSerial::printBestSolution | ( | char * | outputFile = `0` | ) | const`[inline, virtual]`

The process outputs the best solution and the quality that it finds to a file or std::out.

Implements AlpsKnowledgeBroker.

Definition at line 98 of file AlpsKnowledgeBrokerSerial.h.

virtual void AlpsKnowledgeBrokerSerial::initializeSearch | ( | int | argc,
|  | char * | argv[],
|  | AlpsModel & | model |
| ) |  |  | `[virtual]`

Reading in Alps and user parameter sets, and read in model data.

Implements AlpsKnowledgeBroker.

virtual void AlpsKnowledgeBrokerSerial::rootSearch | ( | AlpsTreeNode * | root | ) | `[virtual]`

Search for best solution.

Implements AlpsKnowledgeBroker.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.2/Alps/src/AlpsKnowledgeBrokerSerial.h